Bug 708836 - Review Request: jansi-native - Jansi Native implements the JNI Libraries used by the Jansi project.
Summary: Review Request: jansi-native - Jansi Native implements the JNI Libraries used...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 708669 708670 718281
Blocks: 708842
TreeView+ depends on / blocked
 
Reported: 2011-05-29 19:49 UTC by Marek Goldmann
Modified: 2011-10-13 15:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-29 08:15:49 UTC
Type: ---
sochotni: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-05-29 19:49:37 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jansi-native/1/jansi-native.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jansi-native/1/jansi-native-1.1-1.fc16.src.rpm
Description:

Jansi is a small java library that allows you to use ANSI escape sequences
in your Java console applications. It implements ANSI support on platforms
which don't support it like Windows and provides graceful degradation for
when output is being sent to output devices which cannot support ANSI sequences.

Comment 1 Stanislav Ochotnicky 2011-05-31 14:22:20 UTC
I'll review this

Comment 2 Stanislav Ochotnicky 2011-05-31 14:51:07 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
jansi-native.i686: W: summary-ended-with-dot C Jansi Native implements the JNI Libraries used by the Jansi project.
jansi-native.i686: E: no-binary
jansi-native.i686: W: non-conffile-in-etc /etc/maven/fragments/jansi-native
jansi-native.src: W: summary-ended-with-dot C Jansi Native implements the JNI Libraries used by the Jansi project.
jansi-native.src: W: invalid-url Source0: jansi-native-1.1.tar.gz
jansi-native-debuginfo.i686: E: empty-debuginfo-package
jansi-native-javadoc.i686: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
4 packages and 0 specfiles checked; 2 errors, 5 warnings.

1. fix summary
2. fix debuginfo package, most probably by defining %global debug_package %{nil}

no-binary error is bogus, in this case the binary is "hidden" inside jar

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
javadoc should include license

[x]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
tar.gz has unstable timestamps/md5sums. I suggest using lzma/xz instead

[!]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
hawtjni-maven-plugin should be added
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[x]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[-]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-i686


=== Issues ===
1. license
2. summary
3. debuginfo subpackage
4. native-linux jar contains architecture specific file (libjansi.so). I'm taking this to SIG meeting since we haven't encountered things like this before. It should not be in %{_javadir} since that's for arch agnostic files.
5. the native-linux jar will need another depmap macro call. I'll have to look into how to achieve this properly.
6. fix dependencies on hawtjni


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames

Comment 3 Marek Goldmann 2011-05-31 15:21:39 UTC
Just so things will not run out of my head, updated the files with above comments I could fix. Waiting for the meeting and resolution hints.

Thanks!

Spec URL:
http://goldmann.fedorapeople.org/package_review/jansi-native/2/jansi-native.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/jansi-native/2/jansi-native-1.1-2.fc15.src.rpm

Comment 5 Marek Goldmann 2011-07-28 12:56:53 UTC
Another scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=3235481

Comment 6 Stanislav Ochotnicky 2011-07-28 13:38:29 UTC
Yup, all good now. Approved.

Comment 7 Marek Goldmann 2011-07-28 13:45:50 UTC
Thank you for review!

New Package SCM Request
=======================
Package Name:      jansi-native
Short Description: Jansi Native implements the JNI Libraries used by the Jansi project
Owners:            goldmann
Branches:          f16

Comment 8 Gwyn Ciesla 2011-07-28 13:57:49 UTC
Git done (by process-git-requests).

Comment 9 Marek Goldmann 2011-07-29 08:15:49 UTC
Thank you, closing.

Comment 10 hannes 2011-10-13 15:16:32 UTC
Package Change Request
======================
Package Name: jansi-native
New Branches: f16
Owners: goldmann hannes
InitialCC: 

A build requirement of jansi, so it needs to be in f16 too.

Comment 11 Gwyn Ciesla 2011-10-13 15:17:53 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.